EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_DeleteServerRole',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified server and its configurations.'
GO


IF OBJECT_ID('[ServerRoles_DeleteServerRole]') IS NOT NULL DROP PROCEDURE [ServerRoles_DeleteServerRole]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_DeleteServerRole]
(
    @ServerRole_Id INT
)   
AS
BEGIN

	SET NOCOUNT ON

    DELETE [ServerRoleDependencies] WHERE [ServerRole_Id] = @ServerRole_Id OR [DependsOn_ServerRole_Id] = @ServerRole_Id

	DELETE [ServerRoles] WHERE [ServerRole_Id] = @ServerRole_Id

END
GO

GRANT EXECUTE ON [ServerRoles_DeleteServerRole] TO [OtterUser_Role]