EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_GetServerRoles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerRoles_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the servers roles in the system.'
GO


IF OBJECT_ID('[ServerRoles_GetServerRoles]') IS NOT NULL DROP PROCEDURE [ServerRoles_GetServerRoles]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_GetServerRoles]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [ServerRoles_Extended] SR
          ORDER BY [ServerRole_Name]

END
GO

GRANT EXECUTE ON [ServerRoles_GetServerRoles] TO [OtterUser_Role]