--AH:ScriptId=40322b7c-064e-43a4-9f34-3e32649a6a67;2955
CREATE TABLE [Credentials]
(
    [Credential_Id] INT IDENTITY(1, 1) NOT NULL,
    [Environment_Id] INT NULL,
    [Credential_Name] NVARCHAR(50) NOT NULL,
    [CredentialType_Name] VARCHAR(50) NOT NULL,
    [Configuration_Bytes] VARBINARY(MAX) NOT NULL,

    CONSTRAINT [PK__Credentials] PRIMARY KEY ([Credential_Id]),
    
    CONSTRAINT [FK__Credentials__Environments] 
               FOREIGN KEY ([Environment_Id]) 
               REFERENCES [Environments] ([Environment_Id])
               ON DELETE SET NULL,

    CONSTRAINT [UQ__Credentials] UNIQUE NONCLUSTERED ([CredentialType_Name], [Credential_Name])
)